## xringd 1.10

=== Makefile ===
#
# Makefile  --	xringd
#
# Copyright (c) 1995-1996 Angelo Haritsis. All rights reserved.
#
# $Id: Makefile,v 1.5 1996/02/17 15:50:07 ah Exp ah $
#

VERSION=1.10

# where we install
BINDIR=/usr/local/sbin
MANDIR=/usr/local/man

# Number of seconds (compiled-in) to wait after resetting the state machine
# before accepting any new rings; can also be set on cmd line (-t)
INITWAIT=15

# compiled-in configuration file; can stil be changed
# from the command line
CONF=/etc/xringd.conf

# compiled-in modem device; can be specified on command line (-c)
MODEM=/dev/modem

#DBG=-DRINGSM_DUMP -DDEBUG	# include ringsm debug code

DEFS=-DVERSION=\"$(VERSION)\" -DMODEM_FILE=\"$(MODEM)\" -DCONF_FILE=\"$(CONF)\" -DINIT_TIMEOUT=$(INITWAIT) $(DBG)

CC=gcc
CFLAGS =-Wall -O2 -m486 $(DEFS) -s
#CFLAGS = -g $(DEFS)
LDFLAGS=-s
#LDFLAGS=-g


OBJ = ringsm.o xringd.o

xringd: $(OBJ)
	$(CC) $(LDFLAGS) $(OBJ) -o $@

install: xringd
	-install -o root -g bin -m 755 xringd $(BINDIR)
	-install -o root -g root -m 755 xringd.8 $(MANDIR)/man8
	@echo "!!! You also need a config file, eg. /etc/xringd.conf"
dist:
	-mv -f xringd*.lsm xringd-$(VERSION).lsm > /dev/null 2>&1
	-perl -pi -e "s/Version:\t[0-9.]+/Version:\t$(VERSION)/;s/xringd-[0-9]+\.[0-9]+/xringd-$(VERSION)/g;" xringd-$(VERSION).lsm
	-perl -pi -e "s/xringd [0-9.]+/xringd $(VERSION)/;" README 
	cp xringd*.lsm $(HOME)/
	( cd .. ; tar --exclude \*.o --exclude RCS --exclude test \
		--exclude .gdb_history \
		-zcvSf $(HOME)/xringd-$(VERSION).tgz xringd \
	)

# util to show the internal kernel mdoem input counters
uartcount: uartcount.c
	$(CC) $(CFLAGS) $? -o $@

clean:
	rm -f *.o xringd errors tags

## xringd 1.10-2

=== Makefile ===
--- 
+++ 
@@ -9,8 +9,8 @@
 VERSION=1.10
 
 # where we install
-BINDIR=/usr/local/sbin
-MANDIR=/usr/local/man
+BINDIR=/usr/sbin
+MANDIR=/usr/man
 
 # Number of seconds (compiled-in) to wait after resetting the state machine
 # before accepting any new rings; can also be set on cmd line (-t)
@@ -28,9 +28,9 @@
 DEFS=-DVERSION=\"$(VERSION)\" -DMODEM_FILE=\"$(MODEM)\" -DCONF_FILE=\"$(CONF)\" -DINIT_TIMEOUT=$(INITWAIT) $(DBG)
 
 CC=gcc
-CFLAGS =-Wall -O2 -m486 $(DEFS) -s
+CFLAGS =-Wall -O2 -g $(DEFS)
 #CFLAGS = -g $(DEFS)
-LDFLAGS=-s
+LDFLAGS=
 #LDFLAGS=-g
 
 
@@ -43,6 +43,7 @@
 	-install -o root -g bin -m 755 xringd $(BINDIR)
 	-install -o root -g root -m 755 xringd.8 $(MANDIR)/man8
 	@echo "!!! You also need a config file, eg. /etc/xringd.conf"
+
 dist:
 	-mv -f xringd*.lsm xringd-$(VERSION).lsm > /dev/null 2>&1
 	-perl -pi -e "s/Version:\t[0-9.]+/Version:\t$(VERSION)/;s/xringd-[0-9]+\.[0-9]+/xringd-$(VERSION)/g;" xringd-$(VERSION).lsm
@@ -58,4 +59,4 @@
 	$(CC) $(CFLAGS) $? -o $@
 
 clean:
-	rm -f *.o xringd errors tags
+	rm -f *.o xringd uartcount errors tags

## xringd 1.20

=== Makefile ===
--- 
+++ 
@@ -6,11 +6,11 @@
 # $Id: Makefile,v 1.5 1996/02/17 15:50:07 ah Exp ah $
 #
 
-VERSION=1.10
+VERSION=1.20
 
 # where we install
-BINDIR=/usr/sbin
-MANDIR=/usr/man
+BINDIR=/usr/local/sbin
+MANDIR=/usr/local/man
 
 # Number of seconds (compiled-in) to wait after resetting the state machine
 # before accepting any new rings; can also be set on cmd line (-t)
@@ -28,9 +28,9 @@
 DEFS=-DVERSION=\"$(VERSION)\" -DMODEM_FILE=\"$(MODEM)\" -DCONF_FILE=\"$(CONF)\" -DINIT_TIMEOUT=$(INITWAIT) $(DBG)
 
 CC=gcc
-CFLAGS =-Wall -O2 -g $(DEFS)
+CFLAGS =-Wall -O2 -m486 $(DEFS) -s
 #CFLAGS = -g $(DEFS)
-LDFLAGS=
+LDFLAGS=-s
 #LDFLAGS=-g
 
 
@@ -47,7 +47,7 @@
 dist:
 	-mv -f xringd*.lsm xringd-$(VERSION).lsm > /dev/null 2>&1
 	-perl -pi -e "s/Version:\t[0-9.]+/Version:\t$(VERSION)/;s/xringd-[0-9]+\.[0-9]+/xringd-$(VERSION)/g;" xringd-$(VERSION).lsm
-	-perl -pi -e "s/xringd [0-9.]+/xringd $(VERSION)/;" README 
+	#-perl -pi -e "s/xringd [0-9.]+/xringd $(VERSION)/;" README 
 	cp xringd*.lsm $(HOME)/
 	( cd .. ; tar --exclude \*.o --exclude RCS --exclude test \
 		--exclude .gdb_history \
@@ -59,4 +59,4 @@
 	$(CC) $(CFLAGS) $? -o $@
 
 clean:
-	rm -f *.o xringd uartcount errors tags
+	rm -f *.o xringd errors tags

=== debian/changelog ===
xringd (1.20-29) unstable; urgency=medium

  * Rules-Requires-Root: binary-targets (Closes: #1089483)

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Wed, 01 Jan 2025 20:20:38 +0100

xringd (1.20-28) unstable; urgency=medium

  * Team upload.

  [ наб ]
  * debian/xringd.service: add (Closes: #1039426)
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * d/control: Priority: extra -> optional
  * Start installing /usr/share/xringd/xringd.conf again
    (Closes: #858468, Fixes: 1.20-26)
  * Vcs-Git: https://salsa.debian.org/debian/xringd.git
  * Maintainer: Package Salvaging Team <team+salvage@tracker.debian.org>
    (stevenk@ MIA, so this is a soft-orphan)
  * d/copyright: DEP-5
  * d/rules: hardening

  [ Takuma Yamada ]
  * [INTL:ja] Japanese debconf templates translation update (Closes: #815531)

  [ Martin Bagge / brother ]
  * Swedish strings for xringd debconf (Closes: #993891)

  [ Atila KOÇ ]
  * [INTL:tr] turkish translation of debconf messages (Closes: #1037558)

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Sun, 17 Nov 2024 16:24:13 +0100

xringd (1.20-27.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Convert to source format 3.0. (Closes: #1007438)

 -- Bastian Germann <bage@debian.org>  Wed, 16 Aug 2023 13:11:44 +0000

xringd (1.20-27) unstable; urgency=low

  * Remove /etc/xringd.conf.bak on purge. (Closes: #798378)
  * Debconf templates and debian/control reviewed by the debian-l10n-
    english team as part of the Smith review project. Closes: #796234
  * [Debconf translation updates]
    - Danish (Joe Hansen).  Closes: #800395
    - Russian (Yuri Kozlov).  Closes: #800461
    - Brazilian Portuguese (Adriano Rafael Gomes).  Closes: #801187
    - German (Mario Blättermann).  Closes: #801243
    - Dutch; (Frans Spiesschaert).  Closes: #801387
    - Spanish; (Camaleón).  Closes: #801393
    - Italian (Beatrice Torracca).  Closes: #801450
    - Czech (Miroslav Kure).  Closes: #801454
    - Portuguese (Miguel Figueiredo).  Closes: #801635
    - French (Jean-Pierre Giraud).  Closes: #801639

 -- Steve Kowalik <stevenk@debian.org>  Sat, 21 Nov 2015 17:08:38 +1100

xringd (1.20-26) unstable; urgency=low

  * Acknowlege NMUs. (Closes: #422489, #469710, #486203, #486694, #487321)
    (Closes: #488056)
  * Debconf translations:
    - Italian. (Closes: #602487) (thanks, Luca Bruno)
    - Brazilian Portuguese. (Closes: #795346) (thanks, Eder L. Marques)
  * Bump to Standards-Version 3.9.5; no changes needed.
  * Update from debhelper 4 (!) to 9, hello four line rules file.
  * Drop -s from gcc/ld calls. (Closes: #438327)
  * Add lsb-functions source to init script.
  * Use $() for subshells in the postinst, and drop the full path for mktemp.
  * Reflow the debconf question to silence Lintian warning.

 -- Steve Kowalik <stevenk@debian.org>  Mon, 17 Aug 2015 18:34:06 +1000

xringd (1.20-25.2) unstable; urgency=low

  * Non-maintainer upload to fix pending l10n issues.
  * Debconf translations:
    - Portuguese. Closes: #422489
    - Russian. Closes: #486203
    - Turkish. Closes: #486694
    - Galician. Closes: #487321
    - Basque. Closes: #488056
  * [Lintian] Properly phrase package description
  * [Lintian] Stop hiding errors from "make clean"

 -- Christian Perrier <bubulle@debian.org>  Sun, 08 Jun 2008 07:29:48 +0200

xringd (1.20-25.1) unstable; urgency=low

  * Non-maintainer upload.
  * Added LSB formatted dependency info in init.d script (closes: #469710)

 -- Peter Eisentraut <petere@debian.org>  Wed, 02 Apr 2008 11:20:48 +0200

xringd (1.20-25) unstable; urgency=low

  * Add Vietnamese translation. (Closes: #324269) (thanks, Clytie
    Siddall)
  * Add Swedish translation. (Closes: #331370) (thanks, Daniel
    Nylander)

 -- Steve Kowalik <stevenk@debian.org>  Tue, 15 Nov 2005 09:48:00 +1100

xringd (1.20-24) unstable; urgency=low

  * Replace the debconf dependancy with ${misc:Depends}.

 -- Steve Kowalik <stevenk@debian.org>  Wed,  3 Aug 2005 09:43:09 +1000

xringd (1.20-23) unstable; urgency=low

  * Add Czech debconf translation. (Closes: #289513) (thanks,
    Miroslav Kure)

 -- Steve Kowalik <stevenk@debian.org>  Mon, 10 Jan 2005 02:04:14 +1100

xringd (1.20-22) unstable; urgency=low

  * Add Danish debconf translation. (Closes: #285960) (thanks,
    Morten Bo Johansen)

 -- Steve Kowalik <stevenk@debian.org>  Fri, 17 Dec 2004 09:35:02 +1100

xringd (1.20-21) unstable; urgency=low

  * Add Japanese debconf translation. (Closes: #259803) (thanks,
    Hideki Yamane)
  * Slightly fix debian/rules, and utilise dh_link instead of doing ln
    ourselves.
  * Remove local-variables from changelog.
  * Bump to Standards-Version 3.6.1; no changes needed.

 -- Steve Kowalik <stevenk@debian.org>  Tue,  3 Aug 2004 15:16:32 +1000

xringd (1.20-20) unstable; urgency=low

  * Add Dutch debconf translation. (Closes: #208264) (thanks, Tim
    Vandermeersch)

 -- Steve Kowalik <stevenk@debian.org>  Tue,  2 Sep 2003 06:55:36 +1000

xringd (1.20-19) unstable; urgency=low

  * Uncorrupt po files. (Closes: #200377) (thanks, Christian Perrier)

 -- Steve Kowalik <stevenk@debian.org>  Tue,  8 Jul 2003 20:54:33 +1000

xringd (1.20-18) unstable; urgency=low

  * Move to debhelper 4.
  * Kill debian/confffiles. (Closes: #190319)
  * Convert to using po-debconf. (Closes: #198271)
  * Include new French translation. (Closes: #198888)
  * Thanks to Michel Grentzinger for both debconf-y patches.

 -- Steve Kowalik <stevenk@debian.org>  Sat,  5 Jul 2003 14:37:02 +1000

xringd (1.20-17) unstable; urgency=low

  * Move /usr/share/doc/xringd/examples/xringd.conf to /usr/share/xringd.
  * Kill some debhelper stuff in debian/rules.

 -- Steve Kowalik <stevenk@debian.org>  Sun, 20 Apr 2003 02:18:53 +1000

xringd (1.20-16) unstable; urgency=low

  * Pre-emptive upload. Remove the version component of the Depends on
    debconf.

 -- Steve Kowalik <stevenk@debian.org>  Sat, 29 Jun 2002 17:47:37 +1000

xringd (1.20-15) unstable; urgency=low



=== debian/control ===
Source: xringd
Section: comm
Priority: optional
Maintainer: Package Salvaging Team <team+salvage@tracker.debian.org>
Standards-Version: 4.7.0
Build-Depends: debhelper-compat (= 13)
Vcs-Git: https://salsa.debian.org/debian/xringd.git
Vcs-Browser: https://salsa.debian.org/debian/xringd
Rules-Requires-Root: binary-targets

Package: xringd
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, debianutils (>= 1.7)
Description: extended ring daemon - monitor phone rings and take action
 xringd will monitor a serial line for RING signals and activate various
 commands when specific "ring-delay sequences" are detected.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

override_dh_auto_install:
	dh_auto_install
	cp xringd.conf debian/xringd/usr/share/xringd

%:
	dh $@
